/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"memory_routine.h"
#include	"mlong_char.h"


L_CHAR *
nl_copy_mstr(CODE_METHOD * cm,char * str)
{
L_CHAR * d;
L_CHAR * ret;
	d = l_string(cm,str);
	ret = mmalloc((l_strlen(d)+1)*sizeof(L_CHAR),gc_text);
	l_strcpy(ret,d);
	return ret;
}
